To Our Shareholders

Williams delivered strong financial and operating
performance in 2008:
> We achieved a 47-percent increase in earnings.
> Our exploration and production business grew
domestic natural gas production 20 percent to
1.1 billion cubic feet equivalent a day. We added
200 Bcfe to proved reserves, which grew to
4.3 trillion cubic feet equivalent at year-end.
Williams continues to rank as one of the lowestcost
natural gas producers in the United States.
> Our midstream business made significant progress on
several major projects, including the construction of
a new 450 million cubic feet per day (MMcfd) natural
gas processing plant in the Piceance Basin and two
offshore gathering systems in the Gulf of Mexico.
> Our gas pipeline business completed three
expansions  two on the Transco system and one
on the jointly owned Gulfstream pipeline.
Like most businesses, we and our shareholders are
feeling the negative effects of the global recession.
And like all energy companies, we are affected by
the rapid pullback in energy commodity prices. Our
portfolio of natural gas assets, our financial strength
and our track record of disciplined growth provide
a strong foundation for Williams in this environment.
We are well-positioned to manage through this
economic downturn and to rapidly seize value-creating
opportunities when market conditions improve.
Strength and Stability
Over the past years, one of our key priorities has been
to reinforce Williams financial base and strengthen
the companys balance sheet. Through hard work and
our commitment to disciplined growth, we have made
measurable progress on this goal as demonstrated by
our investment-grade credit rating. Indeed, unlike many
other companies, Williams today has a solid financial
foundation, which is underpinned by $3.5 billion of
liquidity as of March 31, including $1.2 billion of readily
available cash, or cash equivalents, and $2.3 billion
of unused credit facilities, $1.4 billion of which does
not mature until 2012. Additionally, to support liquidity
needs related to E&Ps hedging activity, we have a
special credit facility that is in place until 2013.
As they say, cash is king, and never more so than in
this economic environment. I am pleased to report
that our substantial cash flow positions us well in
this regard. Williams mix of natural gas businesses
includes two segments that produce a high percentage
of fee-based cash flows. Our interstate natural gas
pipelines long-term contracts and the fee-based
portion of our midstream business are reliable cashgenerators.
We expect to generate $1.2 billion to
$1.4 billion in cash flow from operations during 2009
from our midstream and gas pipeline businesses. In
addition, 62 percent of the estimated net revenues
from the companys projected domestic natural gas
production for 2009 is protected by hedges in the form
of fixed-price contracts and collar agreements that
protect us from significant price fluctuations.
Investment Flexibility
With a portfolio of natural gas businesses, we have
greater choice and flexibility in how we invest our
capital. Our aim is to optimize risk and return, while
preserving our competitive position in key markets.
In light of the overall economic environment, we chose
to reduce capital spending in 2009 to $2.3 billion,
compared with $3.6 billion capital and investment
expenditures in 2008. We have significantly reduced
our Exploration & Production expenditures by utilizing
fewer drilling rigs and driving our development costs
lower. We are allocating capital to complete ongoing
Midstream and Gas Pipeline infrastructure projects that
we expect will enhance the companys position when
they enter service in 2009-2011. We are deferring
certain other investments until the economy, financial
markets and commodity prices improve.
Williams flexibility to adjust capital spending further,
either up or down, depending on market conditions
and value-creating opportunities we see, also supports
the strength and stability of the company and ensures
Williams is poised to prosper as the economic
environment improves.
Exploration & Production
As one of the nations largest natural gas producers, our
E&P business operates in some of the richest natural
gas basins in the United States. We are consistently
among the industrys lowest-cost producers. We
specialize in production from unconventional formations
such as tight sands, coal-bed methane and shale.
Amid the onset of the recession last year, our E&P
business still managed to enjoy a record year for
production volumes and segment profit, while growing
total reserves. Our efficient, low-cost production
model, 99-percent drilling success rate and reduced
Rockies price exposure all contributed to E&Ps ability
to perform admirably during 2008.
In fact, E&P topped its record 2007 segment profit by
67 percent last year, earning nearly $1.3 billion. Our
production volumes also grew 20 percent to 1.1 Bcfd,
compared with 960 MMcfd the previous year. This
production growth represents the achievement of a
key milestone for Williams. In 2006, our executive team
set a goal of reaching average daily production of one
billion cubic feet by 2009. Im extremely proud of our
E&P team for realizing this ambitious goal.
Most of this growth has occurred organically, through
a strategic drilling program focused on the Piceance
Basin in western Colorado and the Powder River Basin
in northeastern Wyoming. Our volumes in the Piceance
Valley increased 14 percent last year, while Piceance
Highlands production grew 24 percent. Volumes in
the Powder River Basin increased by 34 percent.
We continue to work with tremendous efficiency and
ingenuity, utilizing innovative technology to produce
more gas from a smaller environmental footprint.
Additionally, we are encouraged by early results from
our joint-venture participation in horizontal test wells in
the Paradox Basin in far western Colorado.
While our activities in the West still represent the lions
share of our production, the greatest growth rate last
year came in the Fort Worth Basin, where the Barnett
Shale play is an increasingly important part of our
portfolio. With four rigs operating in the area, volumes
grew 66 percent over 2007, to 58 million cubic feet
per day.
While lower Rockies natural gas prices did have
an effect on Williams overall results, our Rockies
production was largely insulated from the decrease.
Last year, the vast majority of our domestic production
 81 percent  was not subject to the lower Rockies
prices because of financial hedges and strategic
transportation agreements. Looking forward, we
believe the Rockies diverse and increasingly mature
infrastructure is fast catching up with production,
greatly reducing the discount applied to Rockies
natural gas prices in recent years. In 2009, we expect
our hedges and transportation will shield as much as
88 percent of our domestic production from the effect
of Rockies pricing.
As we now are in the second quarter in what is a
challenging year, we are confident in the ability of our
E&P business to create value over the very long term.
While weve scaled back the E&P component of our
capital program this year, we expect our low-cost
status to enable us to ramp up quickly and sooner than
many others as economic conditions and commodity
markets improve. We also continue to benefit from the
integration of Williams natural gas businesses, which
provide both business development opportunities and
economies of scale.
Our E&P business continues to build on Williams
reputation as a good corporate citizen in the
communities where we operate. Both Grand Junction,
Colo., and Denton, Texas, named Williams as their
Business of the Year for our involvement in the
community. And the Bureau of Land Management
recognized our San Juan Basin team with a Good
Steward award. These awards reflect our employees
steadfast dedication to making their communities better
places to live and work.
Midstream
Williams operates one of the most significant midstream
businesses in North America. We provide large-scale
natural gas gathering and processing services, along
with natural gas liquids (NGL) fractionation and storage
services and olefins production. Our midstream
operations are primarily located in the western United
States and Gulf of Mexico. We also have operations in
western Canada and Venezuela.
Although falling commodity prices and other challenges,
including two significant hurricanes in the Gulf of
Mexico, led to significantly lower NGL margins in
the fourth quarter, Midstream generated very strong
2008 segment profit of $963 million. Also, for the third
consecutive year, the business had one of the highest
returns on assets in the industry.
The global recession has affected the 2009 outlook
for our midstream business, just as it has every other
business with exposure to commodity prices. However,
as previously mentioned, a portion of this business is
fee-based gathering services, which are substantially
insulated from commodity prices.
We also continue to press forward with a number
of important expansion projects so we will be ready
to create additional value when they go into service.
We achieved milestones in a number of these projects
last year.
In the West, construction continues on the new Willow
Creek facility, a natural gas processing plant in the
Piceance Basin. Expected to start up this year, this new
plant will enable us to capture greater value from our
E&P production in Colorado.
We also began operations in the Paradox Basin, helping
deliver a producers first gas from this new shale play
into our Northwest Pipeline. As a result we received a
significant acreage dedication in the heart of this very
promising new basin for Williams.
Also, the Overland Pass Pipeline, in which Williams
owns a minority interest, came on line in late 2008.
This new NGL pipeline will provide greater reliability and
lower transportation costs for our NGLs produced in the
West, as well as access to more favorable markets.
In the Gulf of Mexico, production commenced from the
Bass Lite and Blind Faith expansions, with better-thanexpected
volumes on Blind Faith. Production should
also begin flowing into our large deepwater projects 
Perdido Norte and Tahiti  this year.

Gas Pipeline
Our natural gas pipelines have a well-earned reputation
among customers for providing transportation service
that is consistently safe, reliable and a good value.
These same attributes characterize the pipelines
contribution to Williams financial performance. Serving
markets in the Eastern Seaboard, Pacific Northwest and
Southeast, our pipelines transport about 12 percent of
the daily U.S. consumption of natural gas. This includes
service to numerous major metropolitan areas, including
New York City, where we deliver about half of the
natural gas consumed on a given day.
Last year, our gas pipeline business earned segment
profit of $689 million, up from $673 million in 2007.
We benefited from the full-year effect of new rates
on our Transco system, as well from several expansion
projects we brought into service. These improved
results were somewhat offset by higher business
development costs.
Our gas pipeline business continues to pursue
disciplined growth opportunities in key market areas.
Cash flows of our pipeline expansion projects are
anchored by long-term contracts with high credit-quality
customers  typically, local gas distribution companies
with protected franchises and producers, many of
which come with letter-of-credit support.
In December, we brought into service the first phase
of the Sentinel expansion, which is designed to increase
our Transco systems deliverability into Northeast
markets. We expect the next phases of Sentinel to go
into service this fall.
In the Pacific Northwest, we increased storage capacity
on our Northwest Pipeline system just in time for a
severe winter season. The additional storage capacity
helped us ensure system reliability and meet greater
customer demand caused by the cold weather. In
December, Northwest Pipeline posted a record peak
day delivery of 3.52 million dekatherms en route to a
record annual throughput of 781 trillion Btu.
These projects exemplify our approach to expansions
in the gas pipeline business: provide customers
with access to the lowest delivered cost supplies.
Competing for and growing our markets with this
strategy has and will continue to generate long-term
value for shareholders.
Our gas pipeline business also received a prestigious
honor from the Environmental Protection Agency. Late
last year, the EPA awarded Williams with its 15-Year
Continuing Excellence award in the Natural Gas STAR
Program, which encourages the adoption of costeffective
technologies to improve operational efficiency
and reduce greenhouse gas emissions. Were honored
by this affirmation of our commitment to doing business
the right way.
Helping to Meet our Nations Clean Energy Needs
Climate change and energy security demand thoughtful
deliberation and determined action. Williams is focused
on both of these vital issues.
We are hopeful that federal legislation this year and
next will strengthen the competitive advantage natural
gas holds over other hydrocarbons and contribute to
demand growth. Cleaner burning, domestic natural gas
now provides about 20 percent of the energy necessary
to fuel homes and businesses. Assuming some form of
carbon tax or cap-and-trade program is established, as
well as target reductions of greenhouse gas emissions,
we should continue to see natural gas used at a greater
rate for new power plants.
We believe natural gas demand will remain strong for
many decades. Natural gas is a domestically abundant
resource that offers affordability, environmental
advantages and has the potential to see demand
growth in the transportation-fuel sector. In the place of
other hydrocarbons, natural gas makes an immediate
contribution to reducing carbon dioxide emissions  and
it clearly serves as the best fuel to supply necessary
reliability for both wind and solar power.
Separately, the EPA issued a proposed rule in mid-
March of this year that will require Williams to begin
reporting its greenhouse gas emissions for 2010, early
in 2011. Williams began monitoring its greenhouse gas
emissions in 2007. We recently completed an inventory,
which we plan to publish later this year in our corporate
responsibility report.
We are working through industry associations and advocating
directly with our state and federal representatives
to encourage them to keep in mind the importance of
natural gas as they implement a viable energy policy
and review potential revisions in the tax laws, access to
develop federal lands, how the design of a carbon tax
or cap-and-trade system can best work for the U.S.
economy and other specifics of climate change policy.
Energy efficiency and conservation are also important
to reduce emissions and our dependence on foreign
energy sources. Williams is improving our energy
efficiency, and often reducing costs, by reviewing
operations to identify projects that can reduce the
amount of fuel we use, implementing new methods and
technologies, using hybrid trucks in several of our field
operations and taking steps to conserve energy in our
buildings and facilities.
2009 Priorities
We have identified key priorities for 2009 that will
position the company for value creation as we manage
through this period of economic uncertainty:
> We will maintain our solid balance sheet and liquidity.
In March, the company successfully completed a
$600 million debt offering that further bolsters the
companys financial foundation.
> We will continue to drive down costs through
rigorous execution and expense discipline. Already,
we have seen a sharp decrease in our projectrelated
expenses.
> We are completing key infrastructure projects that
already are under way in our midstream and gas
pipeline businesses; we expect those projects to add
to our profitable growth.
> We are taking a prudent, yet flexible, approach
to capital spending, with a 36-percent projected
decrease from 2008, primarily in commodity pricesensitive
segments of our business.
> And, we will seize opportunities when they are
consistent with our disciplined approach and enhance
our geographic diversity in key growth markets.
To achieve these goals, while keeping our operations
safe, efficient and reliable, we rely on our dedicated
employees. Our employees are integral to protecting
the companys reputation by building mutually beneficial
relationships with our stakeholders and responsibly
developing natural gas resources while respecting the
environment. Our objective is to maintain the integrity
of our systems, our diverse knowledge and our core
capabilities. In March of this year, we were pleased that
Williams was named one of the top three most admired
energy companies by Fortune magazine.
Well-Positioned for Long-term Value Creation
I do anticipate that at some point there will be an
economic recovery and with it stronger commodity
prices that will translate into increased profitability
and valuation for Williams. Since nearly half of U.S.
production comes from wells drilled in the last three
years, the fairly dramatic cuts taking place in rig counts
should have a corresponding reduction in supply 
helping to support natural gas prices. In the meantime,
we are exercising an increased level of financial
discipline and seizing opportunities that will generate
future earnings capacity.
For example, our recently announced midstreambusiness
joint venture with Atlas Pipeline Partners L.P.
provides Williams with a strategic entry point into one of
the largest emerging natural gas plays in North America.
Located in the Marcellus Shale formation in southwestern
Pennsylvania, the joint ventures anchor customer,
Atlas Energy Resources, LLC, estimates 4 to 6 Tcfe
of resource potential on its lands. In addition to the
anchor-tenant relationship with Atlas Energy, the promising
potential throughout the basin will offer substantial
opportunity to service other producers in the future.
We have reason for optimism even in these challenging
times for the global economy. Our focus is clear. Our
approach to investment and managing risk is prudent.
We have premier assets abundant with opportunities
that will be ripe for value-creating investment when the
economic recovery begins to take hold. I am confident
Williams has the assets, the people, the opportunities
and the track record to once again deliver excellent
returns to our shareholders. We are looking forward to a
rewarding future of value growth.
Thank you for your continued support.

STEVE MALCOLM
CHAIRMAN, PRESIDENT AND CEO
